<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Auth\Notifications\VerifyEmail;
use Illuminate\Notifications\Messages\MailMessage;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {

    }

    public function boot()
    {
         VerifyEmail::toMailUsing(function ($notifiable, $url) {
            return (new MailMessage)
                ->subject('Подтвердите адрес электронной почты')
                ->greeting('Здравствуйте!')
                ->line('Пройдите по ссылке для подтверждения вашего email.')
                ->action('Подтвердить email', $url)
                ->line('Если вы не создавали аккаунт, никаких действий не требуется');
        });
    }

}
